Index: /LMDZ6/trunk/libf/dyn3d_common/comgeom2_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comgeom2_mod_h.f90	(revision 5281)
+++ /LMDZ6/trunk/libf/dyn3d_common/comgeom2_mod_h.f90	(revision 5281)
@@ -0,0 +1,49 @@
+! Replaces comgeom2.h
+
+! AB 07/24: NOTE: THIS USES A LEGACY COMMON BLOCK SHARED WITH comgeom_mod_h.f90 !
+! See comgeom_mod_h.f90 comment.
+
+MODULE comgeom2_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC                                                               &
+          cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, apoln, apols, unsaire &
+          , unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
+          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
+          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
+          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, &
+          unsapolnga2, unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, &
+          unsairz_gam, aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, &
+          cusurcvu, xprimu, xprimv
+
+  COMMON/comgeom/                                                   &
+          cu(iip1, jjp1), cv(iip1, jjm), unscu2(iip1, jjp1), unscv2(iip1, jjm), &
+          aire(iip1, jjp1), airesurg(iip1, jjp1), aireu(iip1, jjp1), &
+          airev(iip1, jjm), unsaire(iip1, jjp1), apoln, apols, &
+          unsairez(iip1, jjm), airuscv2(iip1, jjm), airvscu2(iip1, jjm), &
+          aireij1(iip1, jjp1), aireij2(iip1, jjp1), aireij3(iip1, jjp1), &
+          aireij4(iip1, jjp1), alpha1(iip1, jjp1), alpha2(iip1, jjp1), &
+          alpha3(iip1, jjp1), alpha4(iip1, jjp1), alpha1p2(iip1, jjp1), &
+          alpha1p4(iip1, jjp1), alpha2p3(iip1, jjp1), alpha3p4(iip1, jjp1), &
+          fext(iip1, jjm), constang(iip1, jjp1), rlatu(jjp1), rlatv(jjm), &
+          rlonu(iip1), rlonv(iip1), cuvsurcv(iip1, jjm), cvsurcuv(iip1, jjm), &
+          cvusurcu(iip1, jjp1), cusurcvu(iip1, jjp1), &
+          cuvscvgam1(iip1, jjm), cuvscvgam2(iip1, jjm), cvuscugam1(iip1, jjp1), &
+          cvuscugam2(iip1, jjp1), cvscuvgam(iip1, jjm), cuscvugam(iip1, jjp1), &
+          unsapolnga1, unsapolnga2, unsapolsga1, unsapolsga2, &
+          unsair_gam1(iip1, jjp1), unsair_gam2(iip1, jjp1), &
+          unsairz_gam(iip1, jjm), aivscu2gam(iip1, jjm), aiuscv2gam(iip1, jjm)  &
+          , xprimu(iip1), xprimv(iip1)
+
+  REAL                                                               &
+          cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, apoln, apols, unsaire &
+          , unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
+          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
+          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
+          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, &
+          unsapolnga2, unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, &
+          unsairz_gam, aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, &
+          cusurcvu, xprimu, xprimv
+
+END MODULE comgeom2_mod_h
Index: /LMDZ6/trunk/libf/dyn3d_common/comgeom_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/comgeom_mod_h.f90	(revision 5281)
+++ /LMDZ6/trunk/libf/dyn3d_common/comgeom_mod_h.f90	(revision 5281)
@@ -0,0 +1,51 @@
+! Replaces comgeom.h
+
+! AB 07/24: NOTE: THIS USES A LEGACY COMMON BLOCK SHARED WITH comgeom2_mod_h.f90 !
+! This file defines a number of 1D arrays.
+! The COMMON block is used to transparently (but using unsafe procedures) cast those as 2D arrays, without duplication.
+! Therefore there's no trivial way to turn this into a module without COMMON.
+! In the future we'd still like to get rid of this COMMON block.
+
+MODULE comgeom_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE paramet_mod_h
+  IMPLICIT NONE; PRIVATE
+  PUBLIC cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, unsaire, apoln, &
+          apols, unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
+          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
+          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
+          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, unsapolnga2&
+          , unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, unsairz_gam, &
+          aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, cusurcvu, xprimu&
+          , xprimv
+
+  COMMON/comgeom/                                                   &
+          cu(ip1jmp1), cv(ip1jm), unscu2(ip1jmp1), unscv2(ip1jm), &
+          aire(ip1jmp1), airesurg(ip1jmp1), aireu(ip1jmp1), &
+          airev(ip1jm), unsaire(ip1jmp1), apoln, apols, &
+          unsairez(ip1jm), airuscv2(ip1jm), airvscu2(ip1jm), &
+          aireij1(ip1jmp1), aireij2(ip1jmp1), aireij3(ip1jmp1), &
+          aireij4(ip1jmp1), alpha1(ip1jmp1), alpha2(ip1jmp1), &
+          alpha3(ip1jmp1), alpha4(ip1jmp1), alpha1p2(ip1jmp1), &
+          alpha1p4(ip1jmp1), alpha2p3(ip1jmp1), alpha3p4(ip1jmp1), &
+          fext(ip1jm), constang(ip1jmp1), rlatu(jjp1), rlatv(jjm), &
+          rlonu(iip1), rlonv(iip1), cuvsurcv(ip1jm), cvsurcuv(ip1jm), &
+          cvusurcu(ip1jmp1), cusurcvu(ip1jmp1), cuvscvgam1(ip1jm), &
+          cuvscvgam2(ip1jm), cvuscugam1(ip1jmp1), &
+          cvuscugam2(ip1jmp1), cvscuvgam(ip1jm), cuscvugam(ip1jmp1), &
+          unsapolnga1, unsapolnga2, unsapolsga1, unsapolsga2, &
+          unsair_gam1(ip1jmp1), unsair_gam2(ip1jmp1), unsairz_gam(ip1jm), &
+          aivscu2gam(ip1jm), aiuscv2gam(ip1jm), xprimu(iip1), xprimv(iip1)
+
+  REAL                                                            &
+          cu, cv, unscu2, unscv2, aire, airesurg, aireu, airev, unsaire, apoln, &
+          apols, unsairez, airuscv2, airvscu2, aireij1, aireij2, aireij3, aireij4, &
+          alpha1, alpha2, alpha3, alpha4, alpha1p2, alpha1p4, alpha2p3, alpha3p4, &
+          fext, constang, rlatu, rlatv, rlonu, rlonv, cuvscvgam1, cuvscvgam2, &
+          cvuscugam1, cvuscugam2, cvscuvgam, cuscvugam, unsapolnga1, unsapolnga2&
+          , unsapolsga1, unsapolsga2, unsair_gam1, unsair_gam2, unsairz_gam, &
+          aivscu2gam, aiuscv2gam, cuvsurcv, cvsurcuv, cvusurcu, cusurcvu, xprimu&
+          , xprimv
+
+END MODULE comgeom_mod_h
+
Index: /LMDZ6/trunk/libf/dyn3d_common/convflu.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/convflu.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/convflu.f90	(revision 5281)
@@ -18,4 +18,5 @@
   ! nbniv   est le nombre de niveaux vert. de  xflu et de yflu .
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -33,5 +34,4 @@
   !
   !
-  INCLUDE "comgeom.h"
   !
   DO l = 1,nbniv
Index: /LMDZ6/trunk/libf/dyn3d_common/convmas.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/convmas.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/convmas.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute mass flux convergence at p levels.
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -11,5 +12,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/coordij.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/coordij.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/coordij.f90	(revision 5281)
@@ -11,4 +11,5 @@
   !=======================================================================
 
+  USE comgeom_mod_h
   USE comconst_mod, ONLY: pi
 
@@ -23,5 +24,4 @@
 
 
-  include "comgeom.h"
 
   real :: zlon,zlat
Index: /LMDZ6/trunk/libf/dyn3d_common/covcont.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/covcont.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/covcont.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute contravariant components from covariant components.
 !-------------------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -12,5 +13,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/diagedyn.f90	(revision 5281)
@@ -53,4 +53,5 @@
   !======================================================================
 
+  USE comgeom_mod_h
   USE control_mod, ONLY : planet_type
 
@@ -62,5 +63,4 @@
 
 
-  INCLUDE "comgeom.h"
   INCLUDE "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3d_common/diverg.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/diverg.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/diverg.f90	(revision 5281)
@@ -11,4 +11,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -27,5 +28,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: /LMDZ6/trunk/libf/dyn3d_common/diverg_gam.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/diverg_gam.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/diverg_gam.f90	(revision 5281)
@@ -12,4 +12,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -28,5 +29,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: /LMDZ6/trunk/libf/dyn3d_common/divergf.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divergf.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/divergf.f90	(revision 5281)
@@ -11,4 +11,5 @@
   !          x et y  etant des composantes covariantes   ...
   !  *********************************************************************
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -27,5 +28,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !    ..........          variables en arguments    ...................
Index: /LMDZ6/trunk/libf/dyn3d_common/divergst.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divergst.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/divergst.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE divergst(klevel,x,y,div)
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -21,5 +22,4 @@
   !   -------------------------------------------------------------------
   !
-  INCLUDE "comgeom.h"
 
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/divgrad.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE divgrad (klevel,h, lh, divgra )
+  USE comgeom_mod_h
   USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -26,5 +27,4 @@
 
 
-  include "comgeom.h"
   !
   INTEGER :: klevel
Index: /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/divgrad2.f90	(revision 5281)
@@ -13,4 +13,5 @@
   !     divgra     est  un argument  de sortie pour le s-prg
   !
+  USE comgeom2_mod_h
   USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -21,5 +22,4 @@
 
 
-  INCLUDE "comgeom2.h"
 
   !    .......    variables en arguments   .......
Index: /LMDZ6/trunk/libf/dyn3d_common/enercin.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/enercin.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/enercin.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute kinetic energy at sigma levels.
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -11,5 +12,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/exner_hyb_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/exner_hyb_m.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/exner_hyb_m.f90	(revision 5281)
@@ -1,5 +1,6 @@
 module exner_hyb_m
 
-  IMPLICIT NONE
+  USE comgeom_mod_h
+    IMPLICIT NONE
 
 contains
@@ -14,5 +15,5 @@
     !
     !   ************************************************************************
-    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
+    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des
     !    couches .   Pk(l) sera calcule aux milieux  des couches l ,entre les
     !    pressions p(l) et p(l+1) ,definis aux interfaces des llm couches .
@@ -26,7 +27,7 @@
     !    ( voir note de Fr.Hourdin )  ,
     !
-    !    on determine successivement , du haut vers le bas des couches, les 
-    !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2), 
-    !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,  
+    !    on determine successivement , du haut vers le bas des couches, les
+    !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2),
+    !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,
     !     pk(ij,l)  donne  par la relation (2),  pour l = 2 a l = llm .
     !
@@ -35,5 +36,5 @@
     USE comconst_mod, ONLY: jmp1, cpp, kappa, r
     USE comvert_mod, ONLY: preff
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -43,5 +44,4 @@
 
 
-    include "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/trunk/libf/dyn3d_common/exner_milieu_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/exner_milieu_m.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/exner_milieu_m.f90	(revision 5281)
@@ -1,5 +1,6 @@
 module exner_milieu_m
 
-  IMPLICIT NONE
+  USE comgeom_mod_h
+    IMPLICIT NONE
 
 contains
@@ -15,5 +16,5 @@
     !
     !   ************************************************************************
-    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
+    !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des
     !    couches .   Pk(l) sera calcule aux milieux  des couches l ,entre les
     !    pressions p(l) et p(l+1) ,definis aux interfaces des llm couches .
@@ -23,7 +24,7 @@
     !
     !     WARNING : CECI est une version speciale de exner_hyb originale
-    !               Utilise dans la version martienne pour pouvoir 
+    !               Utilise dans la version martienne pour pouvoir
     !               tourner avec des coordonnees verticales complexe
-    !              => Il ne verifie PAS la condition la proportionalite en 
+    !              => Il ne verifie PAS la condition la proportionalite en
     !              energie totale/ interne / potentielle (F.Forget 2001)
     !    ( voir note de Fr.Hourdin )  ,
@@ -32,5 +33,5 @@
     USE comconst_mod, ONLY: jmp1, cpp, kappa, r
     USE comvert_mod, ONLY: preff
-    
+
     USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -40,5 +41,4 @@
 
 
-    include "comgeom.h"
 
     INTEGER  ngrid
Index: /LMDZ6/trunk/libf/dyn3d_common/flumass.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/flumass.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/flumass.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute mass flux at s levels.
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -11,5 +12,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/gr_u_scal.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/gr_u_scal.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/gr_u_scal.f90	(revision 5281)
@@ -25,4 +25,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -35,5 +36,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/gr_v_scal.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/gr_v_scal.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/gr_v_scal.f90	(revision 5281)
@@ -25,4 +25,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -35,5 +36,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !   Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/gradiv2.f90	(revision 5281)
@@ -16,4 +16,5 @@
   !
   !
+  USE comgeom_mod_h
   USE comdissipn_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -24,5 +25,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   ! ........    variables en arguments      ........
Index: /LMDZ6/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/grilles_gcm_netcdf_sub.f90	(revision 5281)
@@ -12,9 +12,10 @@
 SUBROUTINE grilles_gcm_netcdf_sub(masque,phis)
 
+  USE comgeom_mod_h
   USE comconst_mod, ONLY: cpp, kappa, g, omeg, daysec, rad, pi
   USE comvert_mod, ONLY: presnivs, preff, pa
   USE netcdf, ONLY: nf90_def_var, nf90_int, nf90_float, nf90_put_var, nf90_clobber, nf90_64bit_offset, nf90_def_dim, &
           nf90_put_att, nf90_enddef, nf90_create
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -24,5 +25,4 @@
 
 
-  INCLUDE "comgeom.h"
 
 !======================== 
Index: /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/inigeom.f90	(revision 5281)
@@ -16,4 +16,5 @@
   !
   !
+  USE comgeom2_mod_h
   USE comdissnew_mod_h
   use fxhyp_m, only: fxhyp
@@ -30,5 +31,4 @@
 
 
-  include "comgeom2.h"
 
   !-----------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/dyn3d_common/initdynav.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/initdynav.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/initdynav.f90	(revision 5281)
@@ -3,4 +3,5 @@
 subroutine initdynav(day0,anne0,tstep,t_ops,t_wrt)
 
+  USE comgeom_mod_h
   USE IOIPSL
   USE infotrac, ONLY : nqtot
@@ -10,5 +11,5 @@
   USE comvert_mod, ONLY: presnivs
   USE temps_mod, ONLY: itau_dyn
-  
+
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -39,5 +40,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/initfluxsto.f90	(revision 5281)
@@ -6,5 +6,6 @@
         fileid,filevid,filedid)
 
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
   USE comconst_mod, ONLY: pi
   USE comvert_mod, ONLY: nivsigs
@@ -45,5 +46,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d_common/inithist.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/inithist.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/inithist.f90	(revision 5281)
@@ -4,5 +4,6 @@
 subroutine inithist(day0,anne0,tstep,t_ops,t_wrt)
 
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
    USE infotrac, ONLY : nqtot
    use com_io_dyn_mod, only : histid,histvid,histuid,               &
@@ -44,5 +45,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3d_common/inter_barxy_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/inter_barxy_m.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/inter_barxy_m.f90	(revision 5281)
@@ -6,5 +6,6 @@
   ! Authors: Robert SADOURNY, Phu LE VAN, Lionel GUEZ
 
-  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+  USE comgeom2_mod_h
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
@@ -27,5 +28,4 @@
     ! (for other included files)
 
-    include "comgeom2.h"
     ! (for "aire", "apoln", "apols")
 
Index: /LMDZ6/trunk/libf/dyn3d_common/interpost.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/interpost.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/interpost.f90	(revision 5281)
@@ -4,5 +4,6 @@
   subroutine interpost(q,qppm)
 
-   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+   USE comgeom2_mod_h
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
@@ -12,5 +13,4 @@
 
 
-  include "comgeom2.h"
 
   ! Arguments
Index: /LMDZ6/trunk/libf/dyn3d_common/interpre.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/interpre.f90	(revision 5281)
@@ -6,4 +6,5 @@
          unatppm,vnatppm,psppm)
 
+  USE comgeom2_mod_h
   USE comdissip_mod_h
   USE comconst_mod, ONLY: g
@@ -17,5 +18,4 @@
 
 
-  include "comgeom2.h"
   include "description.h"
 
Index: /LMDZ6/trunk/libf/dyn3d_common/laplacien.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/laplacien.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/laplacien.f90	(revision 5281)
@@ -12,4 +12,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/laplacien_gam.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/laplacien_gam.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/laplacien_gam.f90	(revision 5281)
@@ -14,4 +14,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -21,5 +22,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/laplacien_rot.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/laplacien_rot.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/laplacien_rot.f90	(revision 5281)
@@ -13,4 +13,5 @@
   !  rotout           est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -20,5 +21,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/laplacien_rotgam.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/laplacien_rotgam.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/laplacien_rotgam.f90	(revision 5281)
@@ -12,4 +12,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/limx.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/limx.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/limx.f90	(revision 5281)
@@ -13,4 +13,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -20,5 +21,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/limy.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/limy.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/limy.f90	(revision 5281)
@@ -14,4 +14,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE comconst_mod, ONLY: pi
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -22,5 +23,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/limz.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/limz.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/limz.f90	(revision 5281)
@@ -13,4 +13,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -20,5 +21,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3d_common/massbar.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/massbar.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/massbar.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -12,5 +13,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/massbarxy.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/massbarxy.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/massbarxy.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -12,5 +13,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3d_common/massdair.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/massdair.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/massdair.f90	(revision 5281)
@@ -16,4 +16,5 @@
   !  ....  p est defini aux interfaces des llm couches   .....
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -23,5 +24,4 @@
 
 
-  include "comgeom.h"
   !
   !  .....   arguments  ....
Index: /LMDZ6/trunk/libf/dyn3d_common/nxgrad.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/nxgrad.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/nxgrad.f90	(revision 5281)
@@ -12,4 +12,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ip1jm,klevel ),x( ip1jmp1,klevel ),y(ip1jm,klevel )
Index: /LMDZ6/trunk/libf/dyn3d_common/nxgrad_gam.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3d_common/nxgrad_gam.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3d_common/nxgrad_gam.f90	(revision 5281)
@@ -12,4 +12,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ip1jm,klevel ),x( ip1jmp1,klevel ),y(ip1jm,klevel )
